Package com.microsoft.sqlserver.jdbc.spatialdatatypes

## Class WKBLinearRing

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.spatialdatatypes.WKBLinearRing

    public class WKBLinearRing
    extends Object

Represents the internal makings of a WKB Linear Ring.

### Constructor Summary

Constructors
`WKBLinearRing​(int numPoints, WKBPoint[] wkbPoints)` Creates a WKB Linear Ring object

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getNumPoints()` Returns the number of points.
`WKBPoint[]` `getWkbPoints()` Returns the WKB points.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WKBLinearRing

    public WKBLinearRing​(int numPoints,
                         WKBPoint[] wkbPoints)

Creates a WKB Linear Ring object

Parameters:
  `numPoints` - num points
  `wkbPoints` - wkb points

### Method Detail

#### getNumPoints

    public int getNumPoints()

Returns the number of points.

Returns:
  int number of points.

#### getWkbPoints

    public WKBPoint[] getWkbPoints()

Returns the WKB points.

Returns:
  WKBPoint[] the WKB points.